Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228836 - acpi processor module displays errors if hyperthreading disabled
Summary: acpi processor module displays errors if hyperthreading disabled
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: John Feeney
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 425461
TreeView+ depends on / blocked
 
Reported: 2007-02-15 15:20 UTC by jordan hargrave
Modified: 2018-12-05 15:08 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 20:13:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0225 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.3 kernel security and bug fix update 2009-01-20 16:06:24 UTC

Description jordan hargrave 2007-02-15 15:20:05 UTC
Description of problem:

When booting an Intel system with hyperthreading disabled, the following messages appear:
"ACPI Exception (acpi_processor-0681): AE_NOT_FOUND, Processor Device is not present [20060707]
ACPI: Getting cpuindex for acpiid 0x5
ACPI Exception (acpi_processor-0681): AE_NOT_FOUND, Processor Device is not present [20060707]
ACPI: Getting cpuindex for acpiid 0x6
ACPI Exception (acpi_processor-0681): AE_NOT_FOUND, Processor Device is not present [20060707]
ACPI: Getting cpuindex for acpiid 0x7
ACPI Exception (acpi_processor-0681): AE_NOT_FOUND, Processor Device is not present [20060707"

Version-Release number of selected component (if applicable):
2.6.18-8.el5

How reproducible:
always

Steps to Reproduce:
1. disable HT in BIOS
2. Boot RHEL5 kernel
3.
  
Actual results:
Error messages appear

Expected results:
Error messages should not appear

Additional info:
The processors are marked as disabled in the APIC table.  This error message can also appear if the 
_STA method does not exist.

Error message is from: drivers/acpi/processor_core.c: is_processor_present()

Comment 1 jordan hargrave 2007-08-24 15:19:36 UTC
This message also appears on newer multi-core Intel CPUs that do not have all
dies enabled (Tigerton-DC).

Comment 2 Larry Troan 2007-08-30 13:24:40 UTC
See also Private Bug 228851 "CPI Exception (acpi_processor-0681): AE_NOT_FOUND"
May be DUP.

Comment 3 Brian Maly 2007-08-30 17:10:18 UTC
Is there a newer BIOS available for this system? 

I have seen this error on several different systems, and each time it was
resolved by updating the BIOS.

Comment 4 jordan hargrave 2007-09-10 11:55:31 UTC
I can't see 228851.
All Dell system BIOS will have ACPI Processor entry even if hyperthreading is
disabled.  This message started appearing with the hotplug CPU changes.

Comment 5 Brian Maly 2007-11-05 21:24:14 UTC
So this is a regression? Any chance you can test and determine in which release
the regression appeared?

Should be easy to fix.

Also, there shouldnt be any lack of functionality, as far as I can tell its only
the debug message getting printed.

Comment 7 John Feeney 2008-01-30 19:10:11 UTC
Before I forget (again), after I was asked about this by Dell and I came 
across the following thread http://bugzilla.kernel.org/show_bug.cgi?id=8570.

It would appear as though a patch has just become available but it needs to 
be accepted upstream. 



Comment 8 RHEL Product and Program Management 2008-02-01 22:42:01 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 9 John Feeney 2008-03-12 19:28:56 UTC
Things are looking very promising upstream. I asked Brian if I can steal this
and he said yes. Re-assigning to me.

Comment 10 RHEL Product and Program Management 2008-05-21 18:38:08 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 12 Don Zickus 2008-07-23 18:54:17 UTC
in kernel-2.6.18-99.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 14 Chris Ward 2008-11-28 07:11:45 UTC
Partners, this bug should be fixed in the latest RHEL 5.3 Snapshot. We believe that you have some interest in its correct functionality, so we're making a friendly request to send us some testing feedback. 

If you have a chance to test it, please share with us your findings. If you have successfully VERIFIED the fix, please add PartnerVerified to the Bugzilla keywords, along with a description of the results. Thanks!

Comment 15 Raghavendra Biligiri 2008-12-03 10:08:52 UTC
Fixed in RHEL5.3-Snapshot4 (kernel-2.6.18-124.el5).

Comment 17 errata-xmlrpc 2009-01-20 20:13:19 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html


Note You need to log in before you can comment on or make changes to this bug.